Name:		amrwb
Version:	7.0.0.4
Release:	3%{?dist}

Summary:	Adaptive Multi-Rate (AMR) WideBand speech codec
License:	LGPL and other
Group:		Applications/Multimedia
URL:		http://www.penguin.cz/~utx/amr
Source0:	http://ftp.penguin.cz/pub/users/utx/amr/amrwb-%{version}.tar.bz2
%define		Source0_md5sum eeb4590c382c5c789bbdff61c6c516ae
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	gcc-c++, wget
Requires:	lib%{name} = %{version}-%{release}


%description
AMR-WB is a wideband speech codec used in mobile phones.
This package contains various decoder and encoder tools.


%package -n lib%{name}
Summary:        AMR WideBand speech codec shared library
Group:          System Environment/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      %{name} < %{version}-%{release}


%description -n lib%{name}
AMR-NB is a wideband speech codec used in mobile phones.
This package contains the shared library.


%package -n lib%{name}-devel
Summary:	Header files, libraries and development documentation for lib%{name}
Group:		Development/Libraries
Requires:	lib%{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}


%description -n lib%{name}-devel
This package contains the header files, static libraries and development
documentation for lib%{name}. If you like to build or develop programs
using lib%{name}, you will need to install lib%{name}-devel.


%prep
%setup -q
# www.3gpp.org = 195.238.226.15
wget -q http://195.238.226.15/ftp/Specs/archive/26_series/26.204/26204-700.zip
echo "2e5098687d3007a05b7acc8298a5b072  26204-700.zip" > 26204-700.zip-md5
md5sum -c 26204-700.zip-md5


%build
%configure \
    --enable-static \
    --enable-shared
# fix RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make


%install
rm -rf %{buildroot}
make install DESTDIR="%{buildroot}"


%post -n lib%{name} -p /sbin/ldconfig


%postun -n lib%{name} -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,0755)
%{_bindir}/amrwb-decoder
%{_bindir}/amrwb-decoder-if2
%{_bindir}/amrwb-encoder
%{_bindir}/amrwb-encoder-if2


%files -n lib%{name}
%defattr(-,root,root,0755)
%doc COPYING ChangeLog AUTHORS NEWS README TODO
%{_libdir}/libamrwb.so.3
%{_libdir}/libamrwb.so.3.0.0


%files -n lib%{name}-devel
%defattr(-,root,root,0755)
%doc 26204-700.doc
%{_includedir}/amrwb/
%{_libdir}/libamrwb.so
%{_libdir}/libamrwb.a
%{_libdir}/libamrwb.la


%changelog
* Fri Apr 22 2011 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 7.0.0.4-3
- spec-file imported from http://packages.sw.be/amrwb/
- cleaned up spec-file
- split up into three subpackages
- new version 7.0.0.4

